# MapperWriteKeyValuesRepo

constructor(to: WriteKeyValuesRepo < ToKey , ToValue >, mapper: MapperRepo < FromKey , FromValue , ToKey , ToValue >)(source)

#### Parameters

to

The underlying WriteKeyValuesRepo to delegate operations to

mapper

The MapperRepo providing bidirectional key/value type conversions

#### Type Parameters

FromKey

The outer key type exposed by this repo

FromValue

The outer value type exposed by this repo

ToKey

The inner key type used by the underlying to repo

ToValue

The inner value type used by the underlying to repo